Bug 205064 - gpm wakes up every 2 seconds to poll the console, even in runlevel 5
gpm wakes up every 2 seconds to poll the console, even in runlevel 5
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
David Lawrence
:
Depends On:
Blocks: wakeup 223780
  Show dependency treegraph
 
Reported: 2006-09-03 04:18 EDT by Arjan van de Ven
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-11 04:53:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to round the 2 second sleep up to a full wallclock second boundary (900 bytes, patch)
2006-09-03 04:18 EDT, Arjan van de Ven
no flags Details | Diff

  None (edit)
Description Arjan van de Ven 2006-09-03 04:18:54 EDT
Description of problem:

GPM wakes up every 2 seconds to poll the console, even when in runlevel 5. This
is causing spurious wakeups which cause less powersaving than possible. 

gpm does the polling since in X mode gpm has to be inactive, so it is waiting
for X to go away / the user to switch to text mode. It polls for this every 2
seconds.

I question the usefulness of gpm (in default install!) in runlevel 5, but if it
has to stay, the attached patch slightly modifies gpm such that the wakeup will
happen at exactly the second tick (where it will coincide with other similar
wakups in other programs such as hal) and not cause a
wakeup-from-powermanagement-sleep all on it's own.
Comment 1 Arjan van de Ven 2006-09-03 04:18:54 EDT
Created attachment 135455 [details]
patch to round the 2 second sleep up to a full wallclock second boundary
Comment 2 Arjan van de Ven 2006-10-09 11:06:10 EDT
ping?

any ideas why gpm is even started in runlevel 5?
Comment 3 Petr Rockai 2006-10-09 15:24:10 EDT
Sorry, no, no idea, if it was for me, i'd just scrap it as it is :). I can 
apply the patch, although it is probably still somewhat suboptimal to have gpm 
running at all. If there are no objections i'll drop it from runlevel 5.

Note You need to log in before you can comment on or make changes to this bug.